Update a webhook
curl --request PUT \
--url https://business.papp.sa/api/v1/webhooks/{webhookUuid} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Updated Webhook Name",
"url": "https://merchant.example.com/webhooks/orders-v2"
}
'import requests
url = "https://business.papp.sa/api/v1/webhooks/{webhookUuid}"
payload = {
"name": "Updated Webhook Name",
"url": "https://merchant.example.com/webhooks/orders-v2"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Webhook Name',
url: 'https://merchant.example.com/webhooks/orders-v2'
})
};
fetch('https://business.papp.sa/api/v1/webhooks/{webhookUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"appended_data": {},
"data": {
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"merchant_id": 123,
"name": "Order Notification",
"url": "https://merchant.example.com/webhooks/orders",
"secret": "abc123def456",
"created_at": "2024-12-23T10:00:00.000Z",
"updated_at": "2024-12-23T15:30:00.000Z"
}
}{
"status": false,
"message": "Invalid or inactive API key",
"appended_data": {}
}{
"status": false,
"message": "Invalid or inactive API key",
"appended_data": {}
}{
"status": false,
"message": "The given data was invalid.",
"appended_data": {},
"errors": {
"total_price": [
"The total price field is required."
],
"products.0.quantity": [
"The quantity must be at least 1."
]
}
}Webhooks
Update a webhook
Updates the name and/or URL of a webhook. All provided fields replace existing values.
PUT
/
v1
/
webhooks
/
{webhookUuid}
Update a webhook
Authorizations
Path Parameters
Webhook UUID.
Body
application/json
⌘I

